OTP image is broken (1.7.8)

Support requests, bug reports, etc. go here. Dedicated servers / VDS hosting only
graymattr
Bear Rating Trainee
Bear Rating Trainee
Posts: 24
Joined: 29 Apr 2013, 02:46

OTP image is broken (1.7.8)

Postby graymattr » 29 Apr 2013, 02:49

I just installed tt-rss 1.7.8, and I am super happy with it so far. One thing I notice is that the OTP image I am to scan to activate google authenticator is broken (image doesn't display). Is there a bonehead step I am missing here, maybe a permissions issue?

Thanks!

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: OTP image is broken (1.7.8)

Postby fox » 29 Apr 2013, 08:32

Most probably you don't have GD.

AngryChris
Bear Rating Master
Bear Rating Master
Posts: 135
Joined: 08 Apr 2013, 02:42

Re: OTP image is broken (1.7.8)

Postby AngryChris » 29 Apr 2013, 10:23

If you're on a Debian based distribution (Debian, Ubuntu, etc) then install the php5-gd package. I believe on Red Hat distributions (Fedora, RHEL, CentOS, etc) it's just called php-gd (without the 5). If you're on something else, I'll leave that as an exercise for the reader. ;)

graymattr
Bear Rating Trainee
Bear Rating Trainee
Posts: 24
Joined: 29 Apr 2013, 02:46

Re: OTP image is broken (1.7.8)

Postby graymattr » 29 Apr 2013, 19:04

I am indeed on Debian; thanks for the pointer! This might be a good tip to add to the FAQ...I looked for it, but came up empty.

Thanks so much!!



EDIT: Hmm. I spoke too soon:

sudo apt-get install php5-gd
[sudo] password for xxxx:
Reading package lists... Done
Building dependency tree
Reading state information... Done
php5-gd is already the newest version.

Is there anything else I need to do to get it going? I'm on Debian 6 stable.

AngryChris
Bear Rating Master
Bear Rating Master
Posts: 135
Joined: 08 Apr 2013, 02:42

Re: OTP image is broken (1.7.8)

Postby AngryChris » 29 Apr 2013, 19:27

I honestly can't think of anything off the top of my head. I'm on Ubuntu 12.04 and when I noticed the same issue (via errors in my logs) simply installing php5-gd and bouncing apache2 solved it. I can't imagine there's much difference between the Debian and Ubuntu packages (as Ubuntu's value-add is generally in other areas). That said, the Ubuntu packages carry an ubuntu version number which indicates there are differences.

You might dig around in /etc/php5/conf.d/gd.ini and/or /etc/php5/apache2/php.ini to see if you can find anything that needs additional configuration.

graymattr
Bear Rating Trainee
Bear Rating Trainee
Posts: 24
Joined: 29 Apr 2013, 02:46

Re: OTP image is broken (1.7.8)

Postby graymattr » 29 Apr 2013, 20:20

I'll dig around a bit more.

Cheers, and thanks!

graymattr
Bear Rating Trainee
Bear Rating Trainee
Posts: 24
Joined: 29 Apr 2013, 02:46

Re: OTP image is broken (1.7.8)

Postby graymattr » 29 Apr 2013, 21:35

Still no luck. In case my description was not great, here's a screenshot. This isn't a deal-breaker for me, but I would like to get this working, if anyone has any ideas.

Screen Shot 2013-04-29 at 10.32.51 AM.png
Screen Shot 2013-04-29 at 10.32.51 AM.png (40.65 KiB) Viewed 3027 times



Thanks again!

macfly
Bear Rating Disaster
Bear Rating Disaster
Posts: 82
Joined: 27 Mar 2013, 23:07

Re: OTP image is broken (1.7.8)

Postby macfly » 29 Apr 2013, 23:06

what happens, if you right-click on the image, open in new window. do you see an 501 internal server error? What does the apache-error-log say?

jrupac
Bear Rating Trainee
Bear Rating Trainee
Posts: 4
Joined: 03 Apr 2013, 09:17

Re: OTP image is broken (1.7.8)

Postby jrupac » 29 Apr 2013, 23:56

I was having the same issue, but after installing php-gd i just had to restart the Apache service and it started showing up.

graymattr
Bear Rating Trainee
Bear Rating Trainee
Posts: 24
Joined: 29 Apr 2013, 02:46

Re: OTP image is broken (1.7.8)

Postby graymattr » 30 Apr 2013, 00:10


orphean
Bear Rating Trainee
Bear Rating Trainee
Posts: 7
Joined: 02 May 2013, 03:32

Re: OTP image is broken (1.7.8)

Postby orphean » 02 May 2013, 03:35

I resolved this by upgrading my server distro to latest and switching the installation to pull from git head. Just upgrading the distro did not fix the problem. There has been some change that has fixed this though I couldn't tell you what exactly it was since I don't really care as long as it's working.

Give it a shot if this functionality is critical for you.

graymattr
Bear Rating Trainee
Bear Rating Trainee
Posts: 24
Joined: 29 Apr 2013, 02:46

Re: OTP image is broken (1.7.8)

Postby graymattr » 02 May 2013, 06:37

For anyone else who is having this problem, the fix for me was to scp my config.php vs pasting it from my browser. When pasting, I found the indentation was wonky, and might have introduced this issue. Now that I have a clean config.php, its working.


Return to “Support”

Who is online

Users browsing this forum: No registered users and 11 guests